Home Information Classes Download Usage Mail List Requirements Links Tutorial

# PRCRev Class Reference

Perry's simple reverberator class. More...

`#include <PRCRev.h>`

Inheritance diagram for PRCRev:

List of all members.

## Public Member Functions

| PRCRev (MY_FLOAT T60)
| Class constructor taking a T60 decay time argument.
| ~PRCRev ()
| Class destructor.
void | clear ()
| Reset and clear all internal state.
MY_FLOAT | tick (MY_FLOAT input)
| Compute one output sample.

## Detailed Description

Perry's simple reverberator class.

This class is based on some of the famous Stanford/CCRMA reverbs (NRev, KipRev), which were based on the Chowning/Moorer/Schroeder reverberators using networks of simple allpass and comb delay filters. This class implements two series allpass units and two parallel comb filters.

by Perry R. Cook and Gary P. Scavone, 1995 - 2002.

Definition at line 23 of file PRCRev.h.

The documentation for this class was generated from the following file:

- PRCRev.h

The Synthesis ToolKit in C++ (STK)
©1995-2004 Perry R. Cook and Gary P. Scavone. All Rights Reserved.